Telefonino.net network
 
| HOMEPAGE | INDICE FORUM | REGOLAMENTO | ::. NEI PREFERITI .:: | RSS Forum | RSS News | NEWS web | NEWS software |
| PUBBLICITA' | | ARTICOLI | WIN XP | VISTA | WIN 7 | REGISTRI | SOFTWARE | MANUALI | RECENSIONI | LINUX | HUMOR | HARDWARE | DOWNLOAD | | CERCA nel FORUM » |

Torna indietro   WinTricks Forum > Internet World - Multimedia > Internet e Reti locali

Notices

Rispondi
 
Strumenti discussione
Vecchio 06-09-2004, 00.23.56   #1
realtebo
Forum supporter
 
L'avatar di realtebo
 
Registrato: 11-07-2003
Messaggi: 1.843
realtebo promette bene
Apache 2 e PHP 5

Io forse sono stupido, ma lo penso seriamente... pensino un bambimo saprebbe fare a far funzionare apache e php insieme... nel 2004 !!!

Allora: scarico Apache 2 in versione Win32 Msi Installer. Tutto ok. il server parte. Imposto la www root a mio piacimento, avvio e riavvio e tutto va a meraviglia.

Ora tiro giù la distribzione completa Windows di Php 5.0.1, quella da oltre 7 Mega per intenderci. Per installarla basta unzipparla, quindi ci piazzo il php.ini + adatto alle mie esigenze. Ok Php da solo funziona, anche la versione CLI (per i .php da riga di comando).

Ora leggo nel file install.txt (che allego) che basta fare due scemenze per farlo andare con Apache. Si sceglie se installarlo come CGI binario oppure come modulo Apache. Io scelgo questa strada perchè + sicuro per un web server.

Cosa c'è da fare? semplice: inserire tre righe nel file httpd.conf:

Codice:
nstalling as an Apache module

   You need to insert these two lines to your Apache httpd.conf
   configuration file to set up the PHP module for Apache 2.0:

   Example 2-6. PHP and Apache 2.0 as Module
# For PHP 4 do something like this:
LoadModule php4_module "c:/php/sapi/php4apache2.dll"
AddType application/x-httpd-php .php

# For PHP 5 do something like this:
LoadModule php5_module "c:/php/php5apache2.dll"
AddType application/x-httpd-php .php

# configure the path to php.ini
PHPIniDir "C:/php"

     Note: Remember to substitute the c:/php/ for your actual path to
     PHP in the above examples. Take care to use either php4apache2.dll
     or php5apache2.dll in your LoadModule directive and not
     php4apache.dll or php5apache.dll as the latter ones are designed to
     run with Apache 1.3.x.

   Warning

   Don't mix up your installation with DLL files from different PHP
   versions. You have the only choice to use the DLL's and extensions
   that ship with your downloaded PHP version.
ok, io ho il 5 per cui inserisco le seguenti 3 righe, che copio incollo dal lavoro già fatto:

Codice:
LoadModule php5_module "D:/PHP5/php5apache2.dll"
AddType application/x-httpd-php .php
PHPIniDir "D:/PHP5"
Tenete conto che io ho php5 in d:

.. se apro una pagina locale .php questa non da nulla: 0 errori ma 0 output...

se invece provo la strada del CGI addirittura non parte + manco apache... che stresss

che potrebbe essere !?
___________________________________

Realtebo
realtebo non è collegato   Rispondi citando
Vecchio 06-09-2004, 12.59.52   #2
Deep73
WT Dragon
 
L'avatar di Deep73
 
Registrato: 18-11-2002
Loc.: VDV (Very Deep Void)
Messaggi: 2.923
Deep73 promette bene
Hai provato a vedere se Apache ti carica su il modulo? (nutro la forte speranza che tu abbia riavviato il web server dopo aver editato httpd.conf).
Le sintassi sembrano corrette (non ricordo se il coso è case-sensitive). Hai commentato la parte del PHP4 spero. Hai fatto una prova con PHP4?
___________________________________

...
Deep73 non è collegato   Rispondi citando
Vecchio 07-09-2004, 09.16.14   #3
realtebo
Forum supporter
 
L'avatar di realtebo
 
Registrato: 11-07-2003
Messaggi: 1.843
realtebo promette bene
si ho editato e riavviato, fino li ci arrivo, e poi era scritto
si ho commentato quello su php

cmq l'errore era sempre stupido ed era comunque mio, difatti ora va a meraviglia: avevi unvertito la lettera di unità super giorgio !
___________________________________

Realtebo
realtebo non è collegato   Rispondi citando
Rispondi


Utenti attualmente attivi che stanno leggendo questa discussione: 1 (0 utenti e 1 ospiti)
 
Strumenti discussione

Regole di scrittura
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is ON
Gli smilies sono ON
[IMG] è ON
Il codice HTML è OFF

Vai al forum

Discussioni simili
Discussione Autore discussione Forum Risposte Ultimo messaggio
[LINUX] Eseguire script PHP con Apache Downloader Linux e altri Sistemi Operativi 3 16-11-2005 17.09.09
[MDK] PHP e Apache GiulioCesare Linux e altri Sistemi Operativi 1 27-10-2004 11.24.22
[RH] 7.3 - Aggiornamento Apache e PHP Doomboy Linux e altri Sistemi Operativi 3 07-10-2004 16.16.18
Estensioni di PHP 5 sotto windows + apache 2 realtebo Programmazione 4 05-10-2004 10.59.15
Windows XP HOME, Apache - PHP e MySQL X-5 Programmazione 9 27-08-2003 16.09.53

Orario GMT +2. Ora sono le: 00.30.54.


E' vietata la riproduzione, anche solo in parte, di contenuti e grafica.
Copyright © 1999-2017 Edizioni Master S.p.A. p.iva: 02105820787 • Tutti i diritti sono riservati
L'editore NON si assume nessuna responsabilità dei contenuti pubblicati sul forum in quanto redatti direttamente dagli utenti.
Questi ultimi sono responsabili dei contenuti da loro riportati nelle discussioni del forum
Powered by vBulletin - 2010 Copyright © Jelsoft Enterprises Limited.